Skip to content
Start here

Delete app

client.flagship.apps.delete(stringappId, AppDeleteParams { account_id } params, RequestOptionsoptions?): AppDeleteResponse { id }
DELETE/accounts/{account_id}/flagship/apps/{app_id}

Deletes an app and all its flags and changelog history. Returns 409 if any Worker still references this app via a Flagship binding.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Flagship Write
ParametersExpand Collapse
appId: string

App identifier.

params: AppDeleteParams { account_id }
account_id: string

Cloudflare account ID.

ReturnsExpand Collapse
AppDeleteResponse { id }
id: string

Delete app

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const app = await client.flagship.apps.delete('app_id', { account_id: 'account_id' });

console.log(app.id);
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "id": "id"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "id": "id"
  },
  "success": true
}